CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CommandMessengerTests.Acknowledge Class Reference

List of all members.

## Public Member Functions

| Acknowledge (systemSettings systemSettings, Enumerator command)
void | RunTests ()
void | SetUpConnection ()
void | CloseConnection ()
void | TestSendCommandWithAcknowledgement ()
void | TestSendCommandWithAcknowledgementAfterQueued ()
void | TestSendCommandWithAcknowledgementByArduino ()
void | TestSendCommandWithAcknowledgementByArduinoFinished (ReceivedCommand command)
void | WaitForAcknowledgementByEmbeddedFinished ()

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessengerTests/Tests/Acknowledge.cs